#include <iostream>
#include <cv.h>
#include <cxcore.h>
#include <highgui.h>

#define WINDOW_TITLE "window1"

bool onKeyboard(char key) {
  if (key == 27) {
    return true;
  }
  return false;
}

int main (int argc, char** argv) {

  if (argc != 3) {
    std::cerr << "usage: " << argv[0] << " obrazek.jpeg vystup.jpeg" << std::endl;
    return 1;    
  }

  IplImage* inImage = cvLoadImage(argv[1]);
  cvNamedWindow(WINDOW_TITLE, 1);
  
  for (;;) {

    // v pripade, ze neexistuje hlavni okno tak ukoncime program
    if (cvGetWindowHandle(WINDOW_TITLE) == NULL) {
      break;
    }
    
    // FIXME: tady se napise kod
    
									    
    cvShowImage(WINDOW_TITLE, inImage);
    
    
    if (onKeyboard(cvWaitKey(10))) {
      break;
    }
    
  }
  
  cvSaveImage(argv[2], inImage);
  
  cvDestroyAllWindows();


  return 0;
}

